# Add

## Add

<mark style="color:green;">`POST`</mark> `https://{{account_id}}.acquire.io/api/v1/crm/block-visitor`

Use this endpoint to block a contact. Contacts are blocked by their ID. To find a contact's ID, log in to Acquire and hover their name or send a GET request to List all contacts.&#x20;

#### Query Parameters

| Name          | Type   | Description         |
| ------------- | ------ | ------------------- |
| Authorization | string | Bearer {{API\_KEY}} |

#### Request Body

| Name      | Type   | Description                             |
| --------- | ------ | --------------------------------------- |
| blockTill | string | Contact block end date.                 |
| data      | array  | ID of the contacts that will be blocked |
| type      | string | Block type: "contact"                   |

{% tabs %}
{% tab title="200 " %}

```
{
  "data": [
    {
      "data": [
        "10.10.10.10",
        "11.11.11.11"
      ],
      "blockTill": "2020-03-26T23:59:59.000Z",
      "type": "email",
      "blockBy": 1,
      "id": 6,
      "dateCreated": "2021-03-22T09:55:44.000Z",
      "user": {
        "permissions": [
          "*/*"
        ],
        "id": 1,
        "type": "user",
        "name": "David Guetta",
        "firstName": "David Guetta",
        "lastName": "",
        "email": "user@example.com",
        "preference": {
          "accessLevel": [
            "account"
          ],
          "cobrowseAccessUrls": []
        },
        "photo": "",
        "language": "",
        "account": {
          "uid": "5mkg3t",
          "organization": ""
        },
        "loginId": 910
      }
    }
  ]
}
```

{% endtab %}
{% endtabs %}

```
{
  "data": [
    872
  ],
  "blockTill": "2020-03-26T08:19:24.627Z",
  "type": "contact"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/rest-apis/settings/security/security-block-visitor/add.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
